From 4048ad36a85adebc543d5328dc9bb4e49f0309c9 Mon Sep 17 00:00:00 2001
From: Martin Hjelmare <marhje52@kth.se>
Date: Thu, 21 Jun 2018 15:06:05 +0200
Subject: [PATCH] Add script to run monkeytype typing on test suite (#14440)

* The monkeytype script takes an optional argument to specify a test
  module or directory to run. Otherwise the whole test suite will run.
* Add monkeytype sqlite db to gitignore.
---
 .gitignore        |  3 +++
 script/monkeytype | 25 +++++++++++++++++++++++++
 2 files changed, 28 insertions(+)
 create mode 100755 script/monkeytype

diff --git a/.gitignore b/.gitignore
index bf49a1b61c1..c2b0d964a62 100644
--- a/.gitignore
+++ b/.gitignore
@@ -107,3 +107,6 @@ desktop.ini
 
 # Secrets
 .lokalise_token
+
+# monkeytype
+monkeytype.sqlite3
diff --git a/script/monkeytype b/script/monkeytype
new file mode 100755
index 00000000000..dc1894c91ed
--- /dev/null
+++ b/script/monkeytype
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Run monkeytype on test suite or optionally on a test module or directory.
+
+# Stop on errors
+set -e
+
+cd "$(dirname "$0")/.."
+
+command -v pytest >/dev/null 2>&1 || {
+  echo >&2 "This script requires pytest but it's not installed." \
+    "Aborting. Try: pip install pytest"; exit 1; }
+
+command -v monkeytype >/dev/null 2>&1 || {
+  echo >&2 "This script requires monkeytype but it's not installed." \
+    "Aborting. Try: pip install monkeytype"; exit 1; }
+
+if [ $# -eq 0 ]
+  then
+    echo "Run monkeytype on test suite"
+    monkeytype run "`command -v pytest`"
+    exit
+fi
+
+echo "Run monkeytype on tests in $1"
+monkeytype run "`command -v pytest`" "$1"
-- 
GitLab